package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.query.AgentPluginQueryCondition;
import cn.com.poc.agent_application.query.AgentPluginQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationPluginEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAgentApplicationPluginService extends BaseService {

    BizAgentApplicationPluginEntity get(java.lang.Long id) throws Exception;

    List<BizAgentApplicationPluginEntity> findByExample(BizAgentApplicationPluginEntity example, PagingInfo pagingInfo);

    BizAgentApplicationPluginEntity save(BizAgentApplicationPluginEntity entity) throws Exception;

    BizAgentApplicationPluginEntity update(BizAgentApplicationPluginEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    BizAgentApplicationPluginEntity getInfoByPluginId(java.lang.String pluginId);

    List<AgentPluginQueryItem> agentPluginQuery(AgentPluginQueryCondition condition, PagingInfo pagingInfo);

}